Bug 7370 - 3.5.2 smbclient segfaults when used against old samba "security = share"
3.5.2 smbclient segfaults when used against old samba "security = share"
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Client Tools
3.5.2
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
: 7412 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-18 10:04 UTC by Giulio
Modified: 2010-05-06 10:25 UTC (History)
1 user (show)

See Also:


Attachments
Patch (1.04 KB, patch)
2010-04-18 15:30 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Giulio 2010-04-18 10:04:04 UTC
Local machine is CentOS 5.4, with samba 3.5.2 rpms from sernet.

Remote machine is samba 3.0.30 set up with share level security with this smb.conf
	[global]
	workgroup = WORKGROUP
	security = share     (changing this to "user" eliminates the problem)
	[tmp]
	path = /tmp
	guest ok = yes


On local machine:
$ smbclient '\\srv\tmp' -U%
Domain=[WORKGROUP] OS=[Unix] Server=[Samba 3.0.30-1abc]
Server not using user level security and no password supplied.
Segmentation fault
$


gettimeofday({1271602314, 355110}, NULL) = 0
gettimeofday({1271602314, 355320}, NULL) = 0
select(11, [8 10], [], NULL, {19, 998200}) = 1 (in [10], left {19, 998000})
gettimeofday({1271602314, 357511}, NULL) = 0
recv(10, "\0\0\0l", 4, 0)               = 4
gettimeofday({1271602314, 357950}, NULL) = 0
gettimeofday({1271602314, 358148}, NULL) = 0
select(11, [8 10], [], NULL, {19, 995372}) = 1 (in [10], left {19, 995372})
gettimeofday({1271602314, 358732}, NULL) = 0
recv(10,"\377SMBs\0\0\0\0\210\1\300\0\0\0\0\0\0\0\0\0\0\0\0\377\377\304r\0\0\3\
0"..., 108, 0) = 108
write(3, "Domain=[WORKGROUP] OS=[Unix] Ser"..., 56Domain=[WORKGROUP] OS=[Unix] Server=[Samba 3.0.30-1abc]
) = 56
write(3, "Server not using user level secu"..., 63Server not using user level security and no password supplied.) = 63
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++


...
Connecting to 192.168.1.119 at port 445
Socket options:
        SO_KEEPALIVE = 0
        SO_REUSEADDR = 0
        SO_BROADCAST = 0
        TCP_NODELAY = 1
        TCP_KEEPCNT = 9
        TCP_KEEPIDLE = 7200
        TCP_KEEPINTVL = 75
        IPTOS_LOWDELAY = 0
        IPTOS_THROUGHPUT = 0
        SO_SNDBUF = 16384
        SO_RCVBUF = 87380
        SO_SNDLOWAT = 1
        SO_RCVLOWAT = 1
        SO_SNDTIMEO = 0
        SO_RCVTIMEO = 0
        TCP_QUICKACK = 1
 session request ok
Domain=[WORKGROUP] OS=[Unix] Server=[Samba 3.0.30-1abc]
 session setup ok
Server not using user level security and no password supplied.
Segmentation fault
Comment 1 Volker Lendecke 2010-04-18 15:30:16 UTC
Created attachment 5640 [details]
Patch

Attached find 34f0cff0664f1c from master that fixes it. Please test!

Karolin, the patch was done by Tim Prouty, this is an ack of this patch. Please pull for 3.5.3.

Thanks,

Volker
Comment 2 Karolin Seeger 2010-04-19 23:47:26 UTC
Pushed to v3-5-test.
Closing out bug report.

Please feel free to re-open if it's still an issue.

Thanks!
Comment 3 Volker Lendecke 2010-05-06 10:25:41 UTC
*** Bug 7412 has been marked as a duplicate of this bug. ***